Retrieves information about the specified host.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/{association}/hosts/{host} The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
The project ID for this request. |
zone |
The name of the zone for this request, formatted as RFC1035. |
association |
The parent resource association for the Host. This field specifies the hierarchical context (e.g., reservation, block, sub-block) when accessing the host. For example, reservations/reservationName, reservations/reservationName/reservationBlocks/reservation_block_name or reservations/reservationName/reservationBlocks/reservation_block_name/reservationSubBlocks/reservation_sub_block_name. |
host |
The name of the host, formatted as RFC1035 or a resource ID number. |
Request body
The request body must be empty.
Response body
Represents a host resource.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "id": string, "creationTimestamp": string, "name": string, "zone": string, "selfLink": string, "selfLinkWithId": string, "aliasLinks": [ string ], "description": string, "state": enum, "status": { "physicalTopology": { "cluster": string, "block": string, "subBlock": string, "host": string }, "runningInstances": [ string ] } } |
| Fields | |
|---|---|
kind |
Output only. The type of resource. Always |
id |
Output only. The unique identifier for this resource. This identifier is defined by the server. |
creationTimestamp |
Output only. The creation timestamp, formatted as RFC3339 text. |
name |
Output only. The name of the host. |
zone |
Output only. The zone in which the host resides. |
selfLink |
Output only. The self link of the host. |
selfLinkWithId |
Output only. The self link with id of the host. |
aliasLinks[] |
Output only. All aliases for this resource. e.g. projects/123/zones/us-centra1-a/reservation/r1/reservationBlock/b1/hosts/h1 |
description |
An optional description of this resource. |
state |
Output only. The state of the host. |
status |
Output only. The status of the host |
status.physicalTopology |
Output only. The physical topology of the reservation sub-block, if present |
status.physicalTopology.cluster |
The cluster name of the reservation sub-block. |
status.physicalTopology.block |
The unique identifier of the capacity block within the cluster. |
status.physicalTopology.subBlock |
The unique identifier of the capacity sub-block within the capacity block. |
status.physicalTopology.host |
The unique identifier of the capacity host within the capacity sub-block. |
status.runningInstances[] |
Output only. The URIs of the instances currently running on this host. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/compute.readonlyhttps://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.